MAX30001G 1.3.0 Arduino library for MAX30001G ECG and BIOZ AFE

Public Attributes | List of all members
max30001_en_int_reg_t Union Reference

EN_INT (0x02) and (0x03) page 43 we can attach two interrupt lines to functions of the MAX30001 multiple interrupts can be enabled at the same time as the bits are OR-ed. More...

`#include <max30001g_regs_typedefs.h>`

## Public Attributes
uint32_t | all
struct {
uint32_t en_bcgmon: 1
uint32_t en_bint: 1
uint32_t en_bover: 1
uint32_t en_bovf: 1
uint32_t en_bunder: 1
uint32_t en_dcloffint: 1
uint32_t en_eint: 1
uint32_t en_eovf: 1
uint32_t en_fstint: 1
uint32_t en_lonint: 1
uint32_t en_pllint: 1
uint32_t en_rrint: 1
uint32_t en_samp: 1
uint32_t intb_type: 2
uint32_t reserved1: 6
uint32_t reserved2: 3
uint32_t reserved3: 8
} | bit

## Detailed Description

EN_INT (0x02) and (0x03) page 43 we can attach two interrupt lines to functions of the MAX30001 multiple interrupts can be enabled at the same time as the bits are OR-ed.

## Member Data Documentation

## ◆ all

uint32_t max30001_en_int_reg_t::all

## ◆

struct { ... } max30001_en_int_reg_t::bit

## ◆ en_bcgmon

uint32_t max30001_en_int_reg_t::en_bcgmon

## ◆ en_bint

uint32_t max30001_en_int_reg_t::en_bint

## ◆ en_bover

uint32_t max30001_en_int_reg_t::en_bover

## ◆ en_bovf

uint32_t max30001_en_int_reg_t::en_bovf

## ◆ en_bunder

uint32_t max30001_en_int_reg_t::en_bunder

## ◆ en_dcloffint

uint32_t max30001_en_int_reg_t::en_dcloffint

## ◆ en_eint

uint32_t max30001_en_int_reg_t::en_eint

## ◆ en_eovf

uint32_t max30001_en_int_reg_t::en_eovf

## ◆ en_fstint

uint32_t max30001_en_int_reg_t::en_fstint

## ◆ en_lonint

uint32_t max30001_en_int_reg_t::en_lonint

## ◆ en_pllint

uint32_t max30001_en_int_reg_t::en_pllint

## ◆ en_rrint

uint32_t max30001_en_int_reg_t::en_rrint

## ◆ en_samp

uint32_t max30001_en_int_reg_t::en_samp

## ◆ intb_type

uint32_t max30001_en_int_reg_t::intb_type

## ◆ reserved1

uint32_t max30001_en_int_reg_t::reserved1

## ◆ reserved2

uint32_t max30001_en_int_reg_t::reserved2

## ◆ reserved3

uint32_t max30001_en_int_reg_t::reserved3

The documentation for this union was generated from the following file:

- src/max30001g_regs_typedefs.h